Bug 39529 - mod_php4 (4.2.1) fails to build against Apache 2.0.39
Summary: mod_php4 (4.2.1) fails to build against Apache 2.0.39
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: dirk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-06-19 17:10 UTC by Chris Kulish
Modified: 2002-06-21 22:53 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Kulish 2002-06-19 17:10:00 UTC
When attempting to build mod_php4 using the command:

make -DWITH_APACHE2 install

It terminates with the following error:

Include -pthread -DZTS -prefer-pic  -c php_functions.c
php_functions.c:93: syntax error

This build was attempted after cvsup on 6/19/2002 about 0800am CST.
Builds fine against Apache 1.3.26.
Comment 1 Ying-Chieh Liao freebsd_committer 2002-06-19 22:15:02 UTC
Responsible Changed
From-To: freebsd-ports->dirk

over to maintainer
Comment 2 chris 2002-06-19 22:40:29 UTC
Just wanted to follow up with an attempt on a second server which
yielded the same results.

 

This was tested on a uni-processor machine:

 

FreeBSD funksucker.kulish.com 4.6-RC FreeBSD 4.6-RC #0: Sun May 19
12:48:19 CDT 2002
root@funksucker.kulish.com:/usr/src/sys/compile/UP0  i386

 

Thanks!

Chris Kulish

NOC - TekEngine, LLC
Comment 3 chris 2002-06-19 23:30:03 UTC
Fix:

Change line 93 of php_functions.c from:

#if !MODULE_MAGIC_AT_LEAST(20020506,0)

to

#if !AP_MODULE_MAGIC_AT_LEAST(20020506,0)



Fix provided by John Campbell

It can be found here:

http://arstechnica.infopop.net/OpenTopic/page?a=tpc&s=50009562&f=9650913
3&m=4590910094&r=8630940094#8630940094
Comment 4 dirk freebsd_committer 2002-06-21 22:52:50 UTC
State Changed
From-To: open->closed

Patch committed. Thanks!